## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate ttf-parser

Name:           rust-ttf-parser
Version:        0.25.1
Release:        %autorelease
Summary:        High-level, safe, zero-allocation font parser for TrueType, OpenType, and AAT

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/ttf-parser
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * exclude unwanted files
# * remove unused pico-args dev-dependency
Patch:          ttf-parser-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A high-level, safe, zero-allocation font parser for TrueType, OpenType,
and AAT.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+apple-layout-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+apple-layout-devel %{_description}

This package contains library source intended for building other packages which
use the "apple-layout" feature of the "%{crate}" crate.

%files       -n %{name}+apple-layout-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+glyph-names-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+glyph-names-devel %{_description}

This package contains library source intended for building other packages which
use the "glyph-names" feature of the "%{crate}" crate.

%files       -n %{name}+glyph-names-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gvar-alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gvar-alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "gvar-alloc" feature of the "%{crate}" crate.

%files       -n %{name}+gvar-alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+opentype-layout-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+opentype-layout-devel %{_description}

This package contains library source intended for building other packages which
use the "opentype-layout" feature of the "%{crate}" crate.

%files       -n %{name}+opentype-layout-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+variable-fonts-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+variable-fonts-devel %{_description}

This package contains library source intended for building other packages which
use the "variable-fonts" feature of the "%{crate}" crate.

%files       -n %{name}+variable-fonts-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * only unit tests are included in published crates
%cargo_test -- --lib
%cargo_test -- --doc
%endif

%changelog
## START: Generated by rpmautospec
* Tue May 06 2025 Fabio Valentini <decathorpe@gmail.com> - 0.25.1-1
- Update to version 0.25.1; Fixes RHBZ#2130542

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Apr 02 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.18.1-1
- Update to 0.18.1

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jul 16 2022 Fabio Valentini <decathorpe@gmail.com> - 0.15.2-1
- Update to version 0.15.2; Fixes RHBZ#2093578

* Wed Mar 09 2022 Fabio Valentini <decathorpe@gmail.com> - 0.15.0-1
- Update to version 0.15.0; Fixes RHBZ#2016849

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Nov 17 2021 Fabio Valentini <decathorpe@gmail.com> - 0.12.3-4
- Bump svgtypes from 0.6 to 0.8.

* Thu Aug 26 2021 Fabio Valentini <decathorpe@gmail.com> - 0.12.3-3
- Bump svgtypes from 0.5 to 0.6.

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jun 28 2021 Fabio Valentini <decathorpe@gmail.com> - 0.12.3-1
- Update to version 0.12.3.
- Fixes RHBZ#1897853

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Oct 10 2020 Fabio Valentini <decathorpe@gmail.com> - 0.6.2-1
- Initial package

## END: Generated by rpmautospec
